List:General Discussion« Previous MessageNext Message »
From:Vivek Khera Date:July 8 1999 2:07pm
Subject:Re: MIT threads on BSDI 3.0
View as plain text  
>>>>> "s" == sam1600  <sam1600@stripped> writes:

s> Will someone please tell me exactly how can I patch MySQL to use
s> MIT threads on BSDI 3.0?  Is it a patch from BSD?  I have so many
s> questions :-(

Considering MIT pthreads is not from BSDI, I don't think they'd have a 
patch for it.

s> My ISP will not apply the threads patch to the OS and Monty said:

Get a new ISP.  If they're running an OS with a defect in it that they 
won't repair, then why continue to use them?  Besides, BSD/OS 3.0 has
known Y2K problems which are fixed by applying all available patches
(including one that was released just last week.)

I guess your other option is to force MySQL to compile using MIT
pthreads with the appropriate flag to the configure program... or use
the BSDI 3.x binary of MySQL which will have statically linked
libraries of proper vintage.

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Vivek Khera, Ph.D.                Khera Communications, Inc.
Internet: khera@stripped       Rockville, MD       +1-301-545-6996
PGP & MIME spoken here            http://www.kciLink.com/home/khera/
Thread
MIT threads on BSDI 3.0sam16008 Jul
  • MIT threads on BSDI 3.0Michael Widenius8 Jul
    • Re: MIT threads on BSDI 3.0Patrick Greenwell8 Jul
  • Re: MIT threads on BSDI 3.0Vivek Khera8 Jul
Re: MIT threads on BSDI 3.0sam16009 Jul
  • Re: MIT threads on BSDI 3.0Vivek Khera9 Jul
RE: MIT threads on BSDI 3.0sam16009 Jul
  • RE: MIT threads on BSDI 3.0Vivek Khera9 Jul
RE: MIT threads on BSDI 3.0sam16009 Jul
RE: MIT threads on BSDI 3.0sam16009 Jul
RE: MIT threads on BSDI 3.0sam16009 Jul